import request from '@/utils/request'

// 查询积分流水列表
export function listLogPoints(query) {
  return request({
    url: '/system/logPoints/list',
    method: 'get',
    params: query
  })
}

// 查询积分流水详细
export function getLogPoints(id) {
  return request({
    url: '/system/logPoints/' + id,
    method: 'get'
  })
}

// 新增积分流水
export function addLogPoints(data) {
  return request({
    url: '/system/logPoints',
    method: 'post',
    data: data
  })
}

// 修改积分流水
export function updateLogPoints(data) {
  return request({
    url: '/system/logPoints',
    method: 'put',
    data: data
  })
}

// 删除积分流水
export function delLogPoints(id) {
  return request({
    url: '/system/logPoints/' + id,
    method: 'delete'
  })
}
